Name:          meson
Version:       1.2.3
Release:       1mamba
Summary:       The Meson Build System
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://mesonbuild.com/
Source:        https://github.com/mesonbuild/meson.git/%{version}/meson-%{version}.tar.bz2
Source1:       macros.meson
Patch0:        meson-0.48.1-rpm-macros.patch
Patch1:        meson-0.58.0-fix-gtk-doc.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
BuildRequires: python3.11dist(setuptools)
## AUTOBUILDREQ-END
BuildRequires: python3 >= 3.11
#BuildRequires: python-pathlib-py3
#Requires:      python-pathlib-py3
Requires:      ninja

%description
The Meson Build System.

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python3} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python3_inc} \
   --install-lib=%{python3_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

install -D -m0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/rpm/macros.meson

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%{_sysconfdir}/rpm/macros.meson
%dir %{python3_sitearch}/meson-%{version}-py*.egg-info
%{python3_sitearch}/meson-%{version}-py*.egg-info/*
%doc COPYING

%changelog
* Sat Oct 21 2023 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Fri Oct 06 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.2-2mamba
- rebuilt with python3 == 3.11

* Fri Sep 29 2023 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Sat Sep 09 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.1-2mamba
- rebuilt with python 3.10

* Wed Aug 09 2023 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Mon Jul 17 2023 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Fri May 26 2023 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Tue Apr 11 2023 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Fri Feb 24 2023 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Sat Dec 24 2022 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 0.64.1-1mamba
- automatic version update by autodist

* Tue Nov 08 2022 Automatic Build System <autodist@mambasoft.it> 0.64.0-1mamba
- automatic version update by autodist

* Thu Oct 06 2022 Automatic Build System <autodist@mambasoft.it> 0.63.3-1mamba
- automatic version update by autodist

* Sun Sep 04 2022 Automatic Build System <autodist@mambasoft.it> 0.63.2-1mamba
- automatic version update by autodist

* Sat Aug 13 2022 Automatic Build System <autodist@mambasoft.it> 0.63.1-1mamba
- automatic version update by autodist

* Mon Jul 04 2022 Automatic Build System <autodist@mambasoft.it> 0.63.0-1mamba
- automatic version update by autodist

* Fri Jun 03 2022 Automatic Build System <autodist@mambasoft.it> 0.62.2-1mamba
- automatic version update by autodist

* Sun Apr 24 2022 Automatic Build System <autodist@mambasoft.it> 0.62.1-1mamba
- automatic version update by autodist

* Tue Mar 22 2022 Automatic Build System <autodist@mambasoft.it> 0.62.0-1mamba
- automatic version update by autodist

* Tue Mar 15 2022 Automatic Build System <autodist@mambasoft.it> 0.61.3-1mamba
- automatic version update by autodist

* Tue Feb 15 2022 Automatic Build System <autodist@mambasoft.it> 0.61.2-1mamba
- automatic version update by autodist

* Tue Jan 18 2022 Automatic Build System <autodist@mambasoft.it> 0.61.1-1mamba
- automatic version update by autodist

* Tue Jan 11 2022 Automatic Build System <autodist@mambasoft.it> 0.61.0-1mamba
- automatic version update by autodist

* Thu Dec 23 2021 Automatic Build System <autodist@mambasoft.it> 0.60.3-1mamba
- automatic version update by autodist

* Fri Nov 26 2021 Automatic Build System <autodist@mambasoft.it> 0.60.2-1mamba
- automatic version update by autodist

* Wed Nov 03 2021 Automatic Build System <autodist@mambasoft.it> 0.60.1-1mamba
- automatic version update by autodist

* Mon Oct 25 2021 Automatic Build System <autodist@mambasoft.it> 0.60.0-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Automatic Build System <autodist@mambasoft.it> 0.59.3-1mamba
- automatic version update by autodist

* Wed Sep 29 2021 Automatic Build System <autodist@mambasoft.it> 0.59.2-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 0.59.1-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 0.59.0-1mamba
- automatic version update by autodist

* Thu Jun 10 2021 Automatic Build System <autodist@mambasoft.it> 0.58.1-1mamba
- automatic version update by autodist

* Sat Jun 05 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.58.0-2mamba
- added upstream patch to fix gtk-doc generation (glib) see also https://github.com/mesonbuild/meson/pull/8757

* Sun May 02 2021 Automatic Build System <autodist@mambasoft.it> 0.58.0-1mamba
- automatic version update by autodist

* Sat Apr 10 2021 Automatic Build System <autodist@mambasoft.it> 0.57.2-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 0.57.1-1mamba
- automatic version update by autodist

* Mon Feb 15 2021 Automatic Build System <autodist@mambasoft.it> 0.57.0-1mamba
- automatic version update by autodist

* Mon Jan 11 2021 Automatic Build System <autodist@mambasoft.it> 0.56.2-1mamba
- automatic version update by autodist

* Wed Jan 06 2021 Automatic Build System <autodist@mambasoft.it> 0.56.1-1mamba
- automatic version update by autodist

* Sat Oct 31 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.56.0-2mamba
- add cleanup of empty egg-info dirs

* Fri Oct 30 2020 Automatic Build System <autodist@mambasoft.it> 0.56.0-1mamba
- automatic version update by autodist

* Mon Sep 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.55.3-2mamba
- rebuilt with python3

* Sat Sep 12 2020 Automatic Build System <autodist@mambasoft.it> 0.55.3-1mamba
- automatic version update by autodist

* Thu Sep 10 2020 Automatic Build System <autodist@mambasoft.it> 0.55.2-1mamba
- automatic version update by autodist

* Sun Aug 16 2020 Automatic Build System <autodist@mambasoft.it> 0.55.1-1mamba
- automatic version update by autodist

* Thu Jun 18 2020 Automatic Build System <autodist@mambasoft.it> 0.54.3-1mamba
- automatic version update by autodist

* Sat May 16 2020 Automatic Build System <autodist@mambasoft.it> 0.54.2-1mamba
- automatic version update by autodist

* Mon Apr 27 2020 Automatic Build System <autodist@mambasoft.it> 0.54.1-1mamba
- automatic version update by autodist

* Tue Mar 31 2020 Automatic Build System <autodist@mambasoft.it> 0.54.0-1mamba
- automatic version update by autodist

* Thu Feb 27 2020 Automatic Build System <autodist@mambasoft.it> 0.53.2-1mamba
- automatic version update by autodist

* Fri Jan 24 2020 Automatic Build System <autodist@mambasoft.it> 0.53.1-1mamba
- automatic version update by autodist

* Wed Jan 08 2020 Automatic Build System <autodist@mambasoft.it> 0.53.0-1mamba
- automatic version update by autodist

* Sat Nov 30 2019 Automatic Build System <autodist@mambasoft.it> 0.52.1-1mamba
- automatic version update by autodist

* Mon Oct 07 2019 Automatic Build System <autodist@mambasoft.it> 0.52.0-1mamba
- automatic version update by autodist

* Mon Sep 02 2019 Automatic Build System <autodist@mambasoft.it> 0.51.2-1mamba
- automatic version update by autodist

* Sun Jul 14 2019 Automatic Build System <autodist@mambasoft.it> 0.51.1-1mamba
- automatic version update by autodist

* Tue Jun 18 2019 Automatic Build System <autodist@mambasoft.it> 0.51.0-1mamba
- automatic version update by autodist

* Sat Apr 20 2019 Automatic Build System <autodist@mambasoft.it> 0.50.1-1mamba
- automatic version update by autodist

* Wed Feb 06 2019 Automatic Build System <autodist@mambasoft.it> 0.49.2-1mamba
- automatic version update by autodist

* Mon Jan 28 2019 Automatic Build System <autodist@mambasoft.it> 0.49.1-1mamba
- automatic version update by autodist

* Mon Dec 24 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.49.0-2mamba
- install macros.meson from 0.47 instead of patching incompatible macros.meson provided internally

* Mon Dec 10 2018 Automatic Build System <autodist@mambasoft.it> 0.49.0-1mamba
- automatic version update by autodist

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 0.48.2-1mamba
- automatic version update by autodist

* Sun Nov 04 2018 Automatic Build System <autodist@mambasoft.it> 0.48.1-1mamba
- automatic version update by autodist

* Sun Aug 26 2018 Automatic Build System <autodist@mambasoft.it> 0.47.2-1mamba
- automatic version update by autodist

* Mon Aug 13 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.47.1-2mamba
- fix rpm-macros patch to pass DESTDIR in meson_install

* Thu Jul 12 2018 Automatic Build System <autodist@mambasoft.it> 0.47.1-1mamba
- automatic version update by autodist

* Tue Jul 03 2018 Automatic Build System <autodist@mambasoft.it> 0.47.0-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 0.46.1-1mamba
- automatic version update by autodist

* Tue Apr 24 2018 Automatic Build System <autodist@mambasoft.it> 0.46.0-1mamba
- automatic version update by autodist

* Mon Apr 16 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-4mamba
- apply patch unapplied in previous release

* Sun Apr 15 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-3mamba
- fixes to macros.meson patch

* Thu Mar 29 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45.1-2mamba
- install rpm macros.meson file

* Thu Mar 22 2018 Automatic Build System <autodist@mambasoft.it> 0.45.1-1mamba
- automatic version update by autodist

* Wed Mar 07 2018 Automatic Build System <autodist@mambasoft.it> 0.45.0-1mamba
- automatic version update by autodist

* Thu Feb 22 2018 Automatic Build System <autodist@mambasoft.it> 0.44.1-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 0.44.0-1mamba
- automatic version update by autodist

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43.0-2mamba
- rebuilt with python36

* Wed Nov 15 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.43.0-1mamba
- package created using the webbuild interface
